package com.jw.app.business.apps;

import java.util.List;
import java.util.Map;

import com.gaowj.business.exception.BusinessException;


public interface AppsDAO {
	
	List<Map<String,Object>> list_allApps_by_user(Map<String,Object> query) throws BusinessException ;
	
	List<Map<String,Object>> list_allCategory(Map<String,Object> query) throws BusinessException ;

	void delete_installApp(Map<String, Object> query) throws BusinessException;

	void insert_installApp(List<Map<String,Object>> query) throws BusinessException;
	
	void delete_unInstallApp(Map<String, Object> query) throws BusinessException;

	void insert_unInstallApp(List<Map<String,Object>> query) throws BusinessException;

	List<Map<String,Object>> list_allUninstallApps_by_user(Map<String,Object> query) throws BusinessException ;

	List<Map<String,Object>> list_AllApps(Map<String,Object> query) throws BusinessException ;
}
